[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TGraphic.IsStreamFormatSupported

Indicates whether the specified stream type is supported in the class.

## Declaration

Source position: graphics.pp line 850

`public class function TGraphic.IsStreamFormatSupported(`
`Stream: TStream`
`):Boolean; virtual;`

## Arguments

`Stream` |  | Stream with content examined in the method.

## Function result

True when the stream contains supported graphic data; otherwise, False.

## Description

IsStreamFormatSupported is a Boolean class function used to determine if the specified stream contains graphic data in a format supported in the class.

IsStreamFormatSupported is declared as a virtual method, and is overridden in descendants to check whether the values stored in the stream instance can be used in the reader and/or writer classes for the graphic format.

In general, IsStreamFormatSupported indicates whether the LoadFromStream method can be successfully used to load graphic data into the class instance using the specified stream.

## See also

TGraphic.ReadData |  | ReadData - reads data for the Graphic from a stream.
TGraphic.WriteData |  | Writes the data for the Graphic to a stream.
TGraphic.LoadFromStream |  | Reads graphic data from a stream.